    COMMENT = Mathematics

    SUBDIR += 4ti2
    SUBDIR += GiNaC
    SUBDIR += Imath
    SUBDIR += PDL
    SUBDIR += R
    SUBDIR += R-cran-ADGofTest
    SUBDIR += R-cran-Amelia
    SUBDIR += R-cran-BsMD
    SUBDIR += R-cran-CVST
    SUBDIR += R-cran-ChangeAnomalyDetection
    SUBDIR += R-cran-DEoptimR
    SUBDIR += R-cran-DRR
    SUBDIR += R-cran-Deriv
    SUBDIR += R-cran-DoE.base
    SUBDIR += R-cran-FNN
    SUBDIR += R-cran-Formula
    SUBDIR += R-cran-FrF2
    SUBDIR += R-cran-KFAS
    SUBDIR += R-cran-LearnBayes
    SUBDIR += R-cran-MCMCpack
    SUBDIR += R-cran-MSwM
    SUBDIR += R-cran-MatchIt
    SUBDIR += R-cran-Matching
    SUBDIR += R-cran-MatrixModels
    SUBDIR += R-cran-NMF
    SUBDIR += R-cran-RSvgDevice
    SUBDIR += R-cran-RcppArmadillo
    SUBDIR += R-cran-RcppEigen
    SUBDIR += R-cran-RcppRoll
    SUBDIR += R-cran-Rmpfr
    SUBDIR += R-cran-Rsolnp
    SUBDIR += R-cran-SQUAREM
    SUBDIR += R-cran-SparseM
    SUBDIR += R-cran-VGAM
    SUBDIR += R-cran-XLConnect
    SUBDIR += R-cran-Zelig
    SUBDIR += R-cran-acepack
    SUBDIR += R-cran-admisc
    SUBDIR += R-cran-alabama
    SUBDIR += R-cran-ash
    SUBDIR += R-cran-assertthat
    SUBDIR += R-cran-backports
    SUBDIR += R-cran-bdsmatrix
    SUBDIR += R-cran-car
    SUBDIR += R-cran-carData
    SUBDIR += R-cran-coda
    SUBDIR += R-cran-combinat
    SUBDIR += R-cran-conf.design
    SUBDIR += R-cran-conquer
    SUBDIR += R-cran-cvar
    SUBDIR += R-cran-date
    SUBDIR += R-cran-ddalpha
    SUBDIR += R-cran-deldir
    SUBDIR += R-cran-dimRed
    SUBDIR += R-cran-dlmodeler
    SUBDIR += R-cran-doBy
    SUBDIR += R-cran-dplyr
    SUBDIR += R-cran-eRm
    SUBDIR += R-cran-energy
    SUBDIR += R-cran-exactRankTests
    SUBDIR += R-cran-expm
    SUBDIR += R-cran-forcats
    SUBDIR += R-cran-forecast
    SUBDIR += R-cran-fracdiff
    SUBDIR += R-cran-gbutils
    SUBDIR += R-cran-geepack
    SUBDIR += R-cran-geometry
    SUBDIR += R-cran-gmp
    SUBDIR += R-cran-gower
    SUBDIR += R-cran-gpclib
    SUBDIR += R-cran-gsl
    SUBDIR += R-cran-gss
    SUBDIR += R-cran-gtable
    SUBDIR += R-cran-haven
    SUBDIR += R-cran-hdrcde
    SUBDIR += R-cran-hexbin
    SUBDIR += R-cran-igraph
    SUBDIR += R-cran-influenceR
    SUBDIR += R-cran-inline
    SUBDIR += R-cran-intervals
    SUBDIR += R-cran-ipred
    SUBDIR += R-cran-irlba
    SUBDIR += R-cran-isoband
    SUBDIR += R-cran-labeling
    SUBDIR += R-cran-lava
    SUBDIR += R-cran-lazyeval
    SUBDIR += R-cran-linprog
    SUBDIR += R-cran-lme4
    SUBDIR += R-cran-locfit
    SUBDIR += R-cran-lpSolve
    SUBDIR += R-cran-ltm
    SUBDIR += R-cran-magic
    SUBDIR += R-cran-maps
    SUBDIR += R-cran-mathjaxr
    SUBDIR += R-cran-matrixStats
    SUBDIR += R-cran-maxLik
    SUBDIR += R-cran-mclust
    SUBDIR += R-cran-mcmc
    SUBDIR += R-cran-memisc
    SUBDIR += R-cran-minqa
    SUBDIR += R-cran-misc3d
    SUBDIR += R-cran-miscTools
    SUBDIR += R-cran-mitools
    SUBDIR += R-cran-moments
    SUBDIR += R-cran-mvtnorm
    SUBDIR += R-cran-ncdf4
    SUBDIR += R-cran-nloptr
    SUBDIR += R-cran-nnls
    SUBDIR += R-cran-nortest
    SUBDIR += R-cran-numDeriv
    SUBDIR += R-cran-numbers
    SUBDIR += R-cran-outliers
    SUBDIR += R-cran-partitions
    SUBDIR += R-cran-pbkrtest
    SUBDIR += R-cran-plot3D
    SUBDIR += R-cran-pls
    SUBDIR += R-cran-polycor
    SUBDIR += R-cran-polynom
    SUBDIR += R-cran-pracma
    SUBDIR += R-cran-prodlim
    SUBDIR += R-cran-proxy
    SUBDIR += R-cran-psych
    SUBDIR += R-cran-pwr
    SUBDIR += R-cran-quadprog
    SUBDIR += R-cran-qualityTools
    SUBDIR += R-cran-quantreg
    SUBDIR += R-cran-raster
    SUBDIR += R-cran-recipes
    SUBDIR += R-cran-rgenoud
    SUBDIR += R-cran-robustbase
    SUBDIR += R-cran-sandwich
    SUBDIR += R-cran-scatterplot3d
    SUBDIR += R-cran-sets
    SUBDIR += R-cran-sf
    SUBDIR += R-cran-slam
    SUBDIR += R-cran-sm
    SUBDIR += R-cran-sp
    SUBDIR += R-cran-spData
    SUBDIR += R-cran-spdep
    SUBDIR += R-cran-sspir
    SUBDIR += R-cran-stabledist
    SUBDIR += R-cran-statmod
    SUBDIR += R-cran-survey
    SUBDIR += R-cran-tensor
    SUBDIR += R-cran-terra
    SUBDIR += R-cran-truncnorm
    SUBDIR += R-cran-units
    SUBDIR += R-cran-uroot
    SUBDIR += R-cran-wk
    SUBDIR += R-cran-xts
    SUBDIR += R-cran-zoo
    SUBDIR += SCIP
    SUBDIR += SoPlex
    SUBDIR += aamath
    SUBDIR += abella
    SUBDIR += abs
    SUBDIR += acalc
    SUBDIR += add
    SUBDIR += adept
    SUBDIR += adol-c
    SUBDIR += alberta
    SUBDIR += algae
    SUBDIR += alglib
    SUBDIR += alps
    SUBDIR += alt-ergo
    SUBDIR += amath
    SUBDIR += ambit
    SUBDIR += amgcl
    SUBDIR += analitza
    SUBDIR += ann
    SUBDIR += annoy
    SUBDIR += antic
    SUBDIR += apache-commons-math
    SUBDIR += apc
    SUBDIR += apron
    SUBDIR += arb
    SUBDIR += arborx
    SUBDIR += aribas
    SUBDIR += armadillo
    SUBDIR += arpack++
    SUBDIR += arpack-ng
    SUBDIR += ascent
    SUBDIR += asl
    SUBDIR += asymptote
    SUBDIR += atlas
    SUBDIR += audi
    SUBDIR += barvinok
    SUBDIR += basic-stats
    SUBDIR += bcal
    SUBDIR += bcps
    SUBDIR += bitwise
    SUBDIR += bitwuzla
    SUBDIR += blacs
    SUBDIR += blahtexml
    SUBDIR += blas
    SUBDIR += blasfeo
    SUBDIR += blaspp
    SUBDIR += blaze
    SUBDIR += blazeiterative
    SUBDIR += blis
    SUBDIR += bliss
    SUBDIR += blocksolve95
    SUBDIR += bonmin
    SUBDIR += boolector
    SUBDIR += brial
    SUBDIR += bsdnt
    SUBDIR += btor2tools
    SUBDIR += cadabra2
    SUBDIR += cadical
    SUBDIR += cado-nfs
    SUBDIR += calc
    SUBDIR += calcium
    SUBDIR += calcoo
    SUBDIR += cantor
    SUBDIR += casadi
    SUBDIR += cbc
    SUBDIR += cblas
    SUBDIR += ccmath
    SUBDIR += cddlib
    SUBDIR += ceres-solver
    SUBDIR += cgal
    SUBDIR += cgl
    SUBDIR += cgl-conic
    SUBDIR += cglm
    SUBDIR += chaco
    SUBDIR += chryzodus
    SUBDIR += chuffed
    SUBDIR += cimod
    SUBDIR += clad
    SUBDIR += clasp
    SUBDIR += clblas
    SUBDIR += clblast
    SUBDIR += clfft
    SUBDIR += clingcon
    SUBDIR += clingo
    SUBDIR += cliquer
    SUBDIR += cln
    SUBDIR += cloog
    SUBDIR += clp
    SUBDIR += clrng
    SUBDIR += cm
    SUBDIR += cmh
    SUBDIR += cminpack
    SUBDIR += cmlib
    SUBDIR += cocoalib
    SUBDIR += coin-or-data-netlib
    SUBDIR += coin-or-data-sample
    SUBDIR += coin-or-data-stochastic
    SUBDIR += coin-or-metis
    SUBDIR += coin-or-mumps
    SUBDIR += coinmp
    SUBDIR += coinutils
    SUBDIR += colpack
    SUBDIR += combblas
    SUBDIR += conauto
    SUBDIR += concorde
    SUBDIR += convertall
    SUBDIR += coq
    SUBDIR += cosma
    SUBDIR += costa
    SUBDIR += couenne
    SUBDIR += coxeter3
    SUBDIR += cppad
    SUBDIR += creme
    SUBDIR += crlibm
    SUBDIR += cryptominisat
    SUBDIR += csdp
    SUBDIR += ctl-sat
    SUBDIR += cudd
    SUBDIR += curv
    SUBDIR += cvc5
    SUBDIR += dbcsr
    SUBDIR += ddfun
    SUBDIR += deal.ii
    SUBDIR += dgl
    SUBDIR += dieharder
    SUBDIR += dihydrogen
    SUBDIR += dionysus
    SUBDIR += disco
    SUBDIR += dqfun
    SUBDIR += drgeo
    SUBDIR += dsdp
    SUBDIR += dsfmt
    SUBDIR += dune-alugrid
    SUBDIR += dune-common
    SUBDIR += dune-curvedgeometry
    SUBDIR += dune-fem
    SUBDIR += dune-foamgrid
    SUBDIR += dune-functions
    SUBDIR += dune-geometry
    SUBDIR += dune-grid
    SUBDIR += dune-grid-glue
    SUBDIR += dune-istl
    SUBDIR += dune-localfunctions
    SUBDIR += dune-metagrid
    SUBDIR += dune-multidomaingrid
    SUBDIR += dune-pdelab
    SUBDIR += dune-polygongrid
    SUBDIR += dune-spgrid
    SUBDIR += dune-typetree
    SUBDIR += dune-uggrid
    SUBDIR += dune-vtk
    SUBDIR += e-antic
    SUBDIR += eclib
    SUBDIR += ecos
    SUBDIR += edenmath
    SUBDIR += eigen3
    SUBDIR += eispack
    SUBDIR += elan
    SUBDIR += elemental
    SUBDIR += elementary-calculator
    SUBDIR += elpa
    SUBDIR += emc2
    SUBDIR += ensmallen
    SUBDIR += ent
    SUBDIR += eprover
    SUBDIR += ess
    SUBDIR += eukleides
    SUBDIR += eval
    SUBDIR += exprtk
    SUBDIR += facile
    SUBDIR += faiss
    SUBDIR += fann
    SUBDIR += fast_float
    SUBDIR += fastops
    SUBDIR += fcl
    SUBDIR += fcl05
    SUBDIR += fend
    SUBDIR += fenics-basix
    SUBDIR += fflas-ffpack
    SUBDIR += fftw
    SUBDIR += fftw-float
    SUBDIR += fftw3
    SUBDIR += fftw3-float
    SUBDIR += fftw3-long
    SUBDIR += fftw3-quad
    SUBDIR += flann
    SUBDIR += flexfloat
    SUBDIR += flexiblas
    SUBDIR += flint2
    SUBDIR += flintqs
    SUBDIR += flopc++
    SUBDIR += form
    SUBDIR += fparser
    SUBDIR += fplll
    SUBDIR += freefem++
    SUBDIR += fricas
    SUBDIR += frobby
    SUBDIR += fxt
    SUBDIR += g2o
    SUBDIR += galculator
    SUBDIR += gambit
    SUBDIR += gap
    SUBDIR += gau2grid
    SUBDIR += gecode
    SUBDIR += gemmlowp
    SUBDIR += geogebra
    SUBDIR += geogram
    SUBDIR += gexpr
    SUBDIR += gf2x
    SUBDIR += gfan
    SUBDIR += gfanlib
    SUBDIR += ggobi
    SUBDIR += gh-bc
    SUBDIR += giacxcas
    SUBDIR += gismo
    SUBDIR += givaro
    SUBDIR += gkmap
    SUBDIR += glgraph
    SUBDIR += glm
    SUBDIR += glpk
    SUBDIR += glucose
    SUBDIR += gmm++
    SUBDIR += gmp
    SUBDIR += gmp-ecm
    SUBDIR += gnome-calculator
    SUBDIR += gnubc
    SUBDIR += gnumeric
    SUBDIR += gnuplot
    SUBDIR += gnuplot-lite
    SUBDIR += gnuplot-tex-extras
    SUBDIR += gp2c
    SUBDIR += grace
    SUBDIR += gravity
    SUBDIR += gretl
    SUBDIR += grpn
    SUBDIR += gsl
    SUBDIR += half
    SUBDIR += hexcalc
    SUBDIR += heyoka
    SUBDIR += highs
    SUBDIR += hmat-oss
    SUBDIR += hpcombi
    SUBDIR += hpipm
    SUBDIR += hptt
    SUBDIR += hs-Agda
    SUBDIR += hs-syfco
    SUBDIR += hsl
    SUBDIR += hydrogen
    SUBDIR += hyperdeal
    SUBDIR += ideep
    SUBDIR += ignition-math
    SUBDIR += igraph
    SUBDIR += iml
    SUBDIR += intx
    SUBDIR += ipopt
    SUBDIR += ised
    SUBDIR += jacal
    SUBDIR += jacop
    SUBDIR += jags
    SUBDIR += jama
    SUBDIR += jeuclid
    SUBDIR += jlatexmath
    SUBDIR += jsmath-fonts
    SUBDIR += jtransforms
    SUBDIR += jts
    SUBDIR += kahip
    SUBDIR += kalc
    SUBDIR += kalgebra
    SUBDIR += kalk
    SUBDIR += kalker
    SUBDIR += kamis
    SUBDIR += kbruch
    SUBDIR += kcalc
    SUBDIR += kfr
    SUBDIR += kig
    SUBDIR += kissat
    SUBDIR += kktdirect
    SUBDIR += kmplot
    SUBDIR += labplot
    SUBDIR += lambda
    SUBDIR += lapack
    SUBDIR += lapack++
    SUBDIR += lapack95
    SUBDIR += lapacke
    SUBDIR += lapackpp
    SUBDIR += laspack
    SUBDIR += latte-integrale
    SUBDIR += lcalc
    SUBDIR += ldouble
    SUBDIR += lean
    SUBDIR += lean4
    SUBDIR += leangz
    SUBDIR += lemon
    SUBDIR += levmar
    SUBDIR += lib2geom
    SUBDIR += libRmath
    SUBDIR += libbraiding
    SUBDIR += libccd
    SUBDIR += libcerf
    SUBDIR += libdivide
    SUBDIR += libdivsufsort
    SUBDIR += libfixmath
    SUBDIR += libflame
    SUBDIR += libformfactor
    SUBDIR += libhomfly
    SUBDIR += libmesh
    SUBDIR += libmissing
    SUBDIR += libnormaliz
    SUBDIR += libocas
    SUBDIR += liborigin
    SUBDIR += libpoly
    SUBDIR += libqalculate
    SUBDIR += libranlip
    SUBDIR += librdata
    SUBDIR += librsb
    SUBDIR += libsemigroups
    SUBDIR += libsharp2
    SUBDIR += libtexprintf
    SUBDIR += libtommath
    SUBDIR += libxls
    SUBDIR += libxlsxwriter
    SUBDIR += libxsmm
    SUBDIR += lidia
    SUBDIR += linbox
    SUBDIR += lingeling
    SUBDIR += linpack
    SUBDIR += lis
    SUBDIR += lll_spect
    SUBDIR += lmfit
    SUBDIR += lp_solve
    SUBDIR += lrcalc
    SUBDIR += lrng
    SUBDIR += lrslib
    SUBDIR += ltl2ba
    SUBDIR += m4ri
    SUBDIR += m4rie
    SUBDIR += mate-calc
    SUBDIR += math77
    SUBDIR += mathex
    SUBDIR += mathgl
    SUBDIR += mathicsscript
    SUBDIR += mathmod
    SUBDIR += mathomatic
    SUBDIR += mathpresso
    SUBDIR += matio
    SUBDIR += matlab-installer
    SUBDIR += maxima
    SUBDIR += mbasecalc
    SUBDIR += mcsim
    SUBDIR += mdal
    SUBDIR += mesquite
    SUBDIR += metis
    SUBDIR += mfem
    SUBDIR += minisat
    SUBDIR += minizinc
    SUBDIR += minizinc-ide
    SUBDIR += minizinc-solvers
    SUBDIR += minorminer
    SUBDIR += miracl
    SUBDIR += mlpack
    SUBDIR += moab
    SUBDIR += moo
    SUBDIR += mpc
    SUBDIR += mpdecimal
    SUBDIR += mpexpr
    SUBDIR += mpfi
    SUBDIR += mpfr
    SUBDIR += mpfrc++
    SUBDIR += mpfrcx
    SUBDIR += mpir
    SUBDIR += mppp
    SUBDIR += mprime
    SUBDIR += mpsolve
    SUBDIR += mtrxmath
    SUBDIR += multichoose
    SUBDIR += mumps
    SUBDIR += mumps4
    SUBDIR += munkres-cpp
    SUBDIR += muparser
    SUBDIR += muparserx
    SUBDIR += nanoflann
    SUBDIR += nauty
    SUBDIR += ndiff
    SUBDIR += newmat
    SUBDIR += nfft
    SUBDIR += ngraph
    SUBDIR += nlopt
    SUBDIR += ntl
    SUBDIR += ntpoly
    SUBDIR += numdiff
    SUBDIR += obake
    SUBDIR += ocaml-num
    SUBDIR += ocaml-ocamlgraph
    SUBDIR += ocaml-zarith
    SUBDIR += ocamlgsl
    SUBDIR += octave
    SUBDIR += octave-forge
    SUBDIR += octave-forge-actuarial
    SUBDIR += octave-forge-audio
    SUBDIR += octave-forge-automatic-differentiation
    SUBDIR += octave-forge-base
    SUBDIR += octave-forge-bim
    SUBDIR += octave-forge-bioinfo
    SUBDIR += octave-forge-biosig
    SUBDIR += octave-forge-bsltl
    SUBDIR += octave-forge-cfitsio
    SUBDIR += octave-forge-cgi
    SUBDIR += octave-forge-civil-engineering
    SUBDIR += octave-forge-coder
    SUBDIR += octave-forge-communications
    SUBDIR += octave-forge-control
    SUBDIR += octave-forge-csg-toolkit
    SUBDIR += octave-forge-data-smoothing
    SUBDIR += octave-forge-database
    SUBDIR += octave-forge-dataframe
    SUBDIR += octave-forge-dicom
    SUBDIR += octave-forge-divand
    SUBDIR += octave-forge-doctest
    SUBDIR += octave-forge-econometrics
    SUBDIR += octave-forge-fda
    SUBDIR += octave-forge-femoctave
    SUBDIR += octave-forge-fenv
    SUBDIR += octave-forge-fileio
    SUBDIR += octave-forge-financial
    SUBDIR += octave-forge-fits
    SUBDIR += octave-forge-fpl
    SUBDIR += octave-forge-fuzzy-logic-toolkit
    SUBDIR += octave-forge-ga
    SUBDIR += octave-forge-general
    SUBDIR += octave-forge-generate_html
    SUBDIR += octave-forge-geographiclib
    SUBDIR += octave-forge-geometry
    SUBDIR += octave-forge-gnuplot
    SUBDIR += octave-forge-gsl
    SUBDIR += octave-forge-ident
    SUBDIR += octave-forge-image
    SUBDIR += octave-forge-informationtheory
    SUBDIR += octave-forge-integration
    SUBDIR += octave-forge-internal-fluid-flow
    SUBDIR += octave-forge-interval
    SUBDIR += octave-forge-io
    SUBDIR += octave-forge-irsa
    SUBDIR += octave-forge-level-set
    SUBDIR += octave-forge-linear-algebra
    SUBDIR += octave-forge-lssa
    SUBDIR += octave-forge-ltfat
    SUBDIR += octave-forge-mapping
    SUBDIR += octave-forge-matgeom
    SUBDIR += octave-forge-mccabe-thiele
    SUBDIR += octave-forge-mechanics
    SUBDIR += octave-forge-miscellaneous
    SUBDIR += octave-forge-missing-functions
    SUBDIR += octave-forge-mpi
    SUBDIR += octave-forge-mqtt
    SUBDIR += octave-forge-msh
    SUBDIR += octave-forge-multicore
    SUBDIR += octave-forge-mvn
    SUBDIR += octave-forge-nan
    SUBDIR += octave-forge-ncarray
    SUBDIR += octave-forge-netcdf
    SUBDIR += octave-forge-nlwing2
    SUBDIR += octave-forge-nnet
    SUBDIR += octave-forge-nurbs
    SUBDIR += octave-forge-oct2mat
    SUBDIR += octave-forge-octave-pool
    SUBDIR += octave-forge-octclip
    SUBDIR += octave-forge-octproj
    SUBDIR += octave-forge-odbc
    SUBDIR += octave-forge-odebvp
    SUBDIR += octave-forge-onsas
    SUBDIR += octave-forge-optics
    SUBDIR += octave-forge-optim
    SUBDIR += octave-forge-optiminterp
    SUBDIR += octave-forge-outliers
    SUBDIR += octave-forge-parallel
    SUBDIR += octave-forge-pde1dm
    SUBDIR += octave-forge-pkg-octave-doc
    SUBDIR += octave-forge-plot
    SUBDIR += octave-forge-ponchon-savarit
    SUBDIR += octave-forge-prompt
    SUBDIR += octave-forge-psychrometrics
    SUBDIR += octave-forge-pythonic
    SUBDIR += octave-forge-quaternion
    SUBDIR += octave-forge-queueing
    SUBDIR += octave-forge-rtree
    SUBDIR += octave-forge-secs1d
    SUBDIR += octave-forge-secs2d
    SUBDIR += octave-forge-secs3d
    SUBDIR += octave-forge-signal
    SUBDIR += octave-forge-simp
    SUBDIR += octave-forge-sockets
    SUBDIR += octave-forge-sole
    SUBDIR += octave-forge-sparsersb
    SUBDIR += octave-forge-specfun
    SUBDIR += octave-forge-special-matrix
    SUBDIR += octave-forge-splines
    SUBDIR += octave-forge-sqlite
    SUBDIR += octave-forge-statistics
    SUBDIR += octave-forge-statistics-resampling
    SUBDIR += octave-forge-stk
    SUBDIR += octave-forge-strings
    SUBDIR += octave-forge-struct
    SUBDIR += octave-forge-symband
    SUBDIR += octave-forge-symbolic
    SUBDIR += octave-forge-tablicious
    SUBDIR += octave-forge-tcl-octave
    SUBDIR += octave-forge-timer
    SUBDIR += octave-forge-tsa
    SUBDIR += octave-forge-velas
    SUBDIR += octave-forge-video
    SUBDIR += octave-forge-websockets
    SUBDIR += octave-forge-zenity
    SUBDIR += octave-forge-zeromq
    SUBDIR += octomap
    SUBDIR += ogdf
    SUBDIR += oink
    SUBDIR += oleo
    SUBDIR += onednn
    SUBDIR += onednn252
    SUBDIR += openblas
    SUBDIR += openblas64
    SUBDIR += openfst
    SUBDIR += openfst-vosk
    SUBDIR += openlibm
    SUBDIR += openmesh
    SUBDIR += openscop
    SUBDIR += opensolaris-libm
    SUBDIR += openturns
    SUBDIR += optpp
    SUBDIR += or-tools
    SUBDIR += orpie
    SUBDIR += osi
    SUBDIR += osi-conic
    SUBDIR += osiipopt
    SUBDIR += osqp
    SUBDIR += p5-AI-DecisionTree
    SUBDIR += p5-AI-Genetic
    SUBDIR += p5-AI-NeuralNet-BackProp
    SUBDIR += p5-AI-Perceptron
    SUBDIR += p5-Algorithm-Combinatorics
    SUBDIR += p5-Algorithm-CurveFit
    SUBDIR += p5-Algorithm-Munkres
    SUBDIR += p5-Alien-GSL
    SUBDIR += p5-Bit-ShiftReg
    SUBDIR += p5-Bit-Vector
    SUBDIR += p5-Bit-Vector-Minimal
    SUBDIR += p5-CAD-Calc
    SUBDIR += p5-Chart-Math-Axis
    SUBDIR += p5-Data-Float
    SUBDIR += p5-Date-Handler
    SUBDIR += p5-GIS-Distance
    SUBDIR += p5-GIS-Distance-Fast
    SUBDIR += p5-GIS-Distance-Lite
    SUBDIR += p5-Geo-Coordinates-UTM
    SUBDIR += p5-Geo-Distance
    SUBDIR += p5-Geo-Distance-XS
    SUBDIR += p5-Graph
    SUBDIR += p5-Math-Algebra-Symbols
    SUBDIR += p5-Math-Base36
    SUBDIR += p5-Math-Base85
    SUBDIR += p5-Math-BaseCalc
    SUBDIR += p5-Math-BaseCnv
    SUBDIR += p5-Math-Bezier
    SUBDIR += p5-Math-Bezier-Convert
    SUBDIR += p5-Math-BigInt
    SUBDIR += p5-Math-BigInt-FastCalc
    SUBDIR += p5-Math-BigInt-GMP
    SUBDIR += p5-Math-BigInt-Lite
    SUBDIR += p5-Math-BigInt-Pari
    SUBDIR += p5-Math-CDF
    SUBDIR += p5-Math-Calc-Units
    SUBDIR += p5-Math-Cephes
    SUBDIR += p5-Math-Combinatorics
    SUBDIR += p5-Math-Complex
    SUBDIR += p5-Math-ConvexHull
    SUBDIR += p5-Math-Currency
    SUBDIR += p5-Math-Derivative
    SUBDIR += p5-Math-Evol
    SUBDIR += p5-Math-Expr
    SUBDIR += p5-Math-FFT
    SUBDIR += p5-Math-FixedPrecision
    SUBDIR += p5-Math-Fleximal
    SUBDIR += p5-Math-GMP
    SUBDIR += p5-Math-GMPf
    SUBDIR += p5-Math-GMPq
    SUBDIR += p5-Math-GMPz
    SUBDIR += p5-Math-GSL
    SUBDIR += p5-Math-Geometry
    SUBDIR += p5-Math-Geometry-Planar
    SUBDIR += p5-Math-Geometry-Planar-GPC
    SUBDIR += p5-Math-Geometry-Planar-GPC-PolygonXS
    SUBDIR += p5-Math-Geometry-Planar-Offset
    SUBDIR += p5-Math-Geometry-Voronoi
    SUBDIR += p5-Math-Gradient
    SUBDIR += p5-Math-Int128
    SUBDIR += p5-Math-Int64
    SUBDIR += p5-Math-Interpolate
    SUBDIR += p5-Math-Intersection-StraightLine
    SUBDIR += p5-Math-Logic
    SUBDIR += p5-Math-MPC
    SUBDIR += p5-Math-MPFR
    SUBDIR += p5-Math-Matrix
    SUBDIR += p5-Math-MatrixReal
    SUBDIR += p5-Math-NumberCruncher
    SUBDIR += p5-Math-Pari
    SUBDIR += p5-Math-Polygon
    SUBDIR += p5-Math-Polygon-Tree
    SUBDIR += p5-Math-Polynomial-Solve
    SUBDIR += p5-Math-Prime-Util
    SUBDIR += p5-Math-Prime-Util-GMP
    SUBDIR += p5-Math-Prime-XS
    SUBDIR += p5-Math-ProvablePrime
    SUBDIR += p5-Math-RPN
    SUBDIR += p5-Math-Random
    SUBDIR += p5-Math-Random-ISAAC
    SUBDIR += p5-Math-Random-ISAAC-XS
    SUBDIR += p5-Math-Random-MT
    SUBDIR += p5-Math-Random-MT-Auto
    SUBDIR += p5-Math-Random-OO
    SUBDIR += p5-Math-Random-Secure
    SUBDIR += p5-Math-RandomOrg
    SUBDIR += p5-Math-Round
    SUBDIR += p5-Math-Round-Var
    SUBDIR += p5-Math-Sequence
    SUBDIR += p5-Math-Series
    SUBDIR += p5-Math-SigFigs
    SUBDIR += p5-Math-SimpleVariable
    SUBDIR += p5-Math-Spline
    SUBDIR += p5-Math-String
    SUBDIR += p5-Math-Symbolic
    SUBDIR += p5-Math-Symbolic-Custom-CCompiler
    SUBDIR += p5-Math-Symbolic-Custom-Contains
    SUBDIR += p5-Math-Symbolic-Custom-ErrorPropagation
    SUBDIR += p5-Math-Symbolic-Custom-LaTeXDumper
    SUBDIR += p5-Math-Symbolic-Custom-Pattern
    SUBDIR += p5-Math-Symbolic-Custom-Simplification
    SUBDIR += p5-Math-Symbolic-Custom-Transformation
    SUBDIR += p5-Math-SymbolicX-BigNum
    SUBDIR += p5-Math-SymbolicX-Complex
    SUBDIR += p5-Math-SymbolicX-Error
    SUBDIR += p5-Math-SymbolicX-Inline
    SUBDIR += p5-Math-SymbolicX-NoSimplification
    SUBDIR += p5-Math-SymbolicX-ParserExtensionFactory
    SUBDIR += p5-Math-SymbolicX-Statistics-Distributions
    SUBDIR += p5-Math-TrulyRandom
    SUBDIR += p5-Math-Units
    SUBDIR += p5-Math-Utils
    SUBDIR += p5-Math-Vec
    SUBDIR += p5-Math-VecStat
    SUBDIR += p5-Math-VectorReal
    SUBDIR += p5-NetCDF
    SUBDIR += p5-Number-Compare
    SUBDIR += p5-Number-Fraction
    SUBDIR += p5-Number-Misc
    SUBDIR += p5-Number-Uncertainty
    SUBDIR += p5-Number-WithError
    SUBDIR += p5-Number-WithError-LaTeX
    SUBDIR += p5-Parse-Range
    SUBDIR += p5-Roman
    SUBDIR += p5-Set-IntSpan
    SUBDIR += p5-Set-IntSpan-Fast
    SUBDIR += p5-Set-IntSpan-Fast-XS
    SUBDIR += p5-Set-Partition
    SUBDIR += p5-Set-Window
    SUBDIR += p5-Statistics-Basic
    SUBDIR += p5-Statistics-Benford
    SUBDIR += p5-Statistics-CaseResampling
    SUBDIR += p5-Statistics-ChiSquare
    SUBDIR += p5-Statistics-Contingency
    SUBDIR += p5-Statistics-Descriptive
    SUBDIR += p5-Statistics-Descriptive-Discrete
    SUBDIR += p5-Statistics-Distributions
    SUBDIR += p5-Statistics-Forecast
    SUBDIR += p5-Statistics-Frequency
    SUBDIR += p5-Statistics-LTU
    SUBDIR += p5-Statistics-LineFit
    SUBDIR += p5-Statistics-Lite
    SUBDIR += p5-Statistics-OLS
    SUBDIR += p5-Statistics-R
    SUBDIR += p5-Statistics-Regression
    SUBDIR += p5-Statistics-TTest
    SUBDIR += p5-Task-Math-Symbolic
    SUBDIR += p5-Text-AsciiTeX
    SUBDIR += p5-bignum
    SUBDIR += palp
    SUBDIR += pari
    SUBDIR += pari_elldata
    SUBDIR += pari_galdata
    SUBDIR += pari_galpol
    SUBDIR += pari_nflistdata
    SUBDIR += pari_nftables
    SUBDIR += pari_seadata
    SUBDIR += paritwine
    SUBDIR += parmetis
    SUBDIR += parmgridgen
    SUBDIR += pdal
    SUBDIR += pear-Math_BigInteger
    SUBDIR += pear-Math_Combinatorics
    SUBDIR += pecl-bitset
    SUBDIR += perlinnoise
    SUBDIR += permlib
    SUBDIR += petanque
    SUBDIR += petiga
    SUBDIR += pffft
    SUBDIR += php81-bcmath
    SUBDIR += php81-gmp
    SUBDIR += php82-bcmath
    SUBDIR += php82-gmp
    SUBDIR += php83-bcmath
    SUBDIR += php83-gmp
    SUBDIR += physcalc
    SUBDIR += picosat
    SUBDIR += piranha
    SUBDIR += planarity
    SUBDIR += plantri
    SUBDIR += plman
    SUBDIR += ploticus
    SUBDIR += ploticus-nox11
    SUBDIR += plplot
    SUBDIR += poly2tri
    SUBDIR += polyclipper
    SUBDIR += polylib
    SUBDIR += polymake
    SUBDIR += primecount
    SUBDIR += primegen
    SUBDIR += primesieve
    SUBDIR += primesum
    SUBDIR += primme
    SUBDIR += prng
    SUBDIR += pspp
    SUBDIR += psurface
    SUBDIR += py-CyLP
    SUBDIR += py-Diofant
    SUBDIR += py-GridDataFormats
    SUBDIR += py-MutatorMath
    SUBDIR += py-POT
    SUBDIR += py-PuLP
    SUBDIR += py-Py-BOBYQA
    SUBDIR += py-PyMetis
    SUBDIR += py-PySCIPOpt
    SUBDIR += py-PyWavelets
    SUBDIR += py-Pyomo
    SUBDIR += py-SQNomad
    SUBDIR += py-affine
    SUBDIR += py-algopy
    SUBDIR += py-altgraph
    SUBDIR += py-ambit
    SUBDIR += py-amply
    SUBDIR += py-animatplot
    SUBDIR += py-animatplot-ng
    SUBDIR += py-annoy
    SUBDIR += py-apgl
    SUBDIR += py-arviz
    SUBDIR += py-arybo
    SUBDIR += py-autograd
    SUBDIR += py-awkward
    SUBDIR += py-awkward-cpp
    SUBDIR += py-baycomp
    SUBDIR += py-bayesian-optimization
    SUBDIR += py-benford_py
    SUBDIR += py-bitmath
    SUBDIR += py-bitvector
    SUBDIR += py-blis
    SUBDIR += py-bottleneck
    SUBDIR += py-brial
    SUBDIR += py-chaospy
    SUBDIR += py-clarabel
    SUBDIR += py-claripy
    SUBDIR += py-clingcon
    SUBDIR += py-clingo
    SUBDIR += py-cma
    SUBDIR += py-cmaes
    SUBDIR += py-cmyt
    SUBDIR += py-colormath
    SUBDIR += py-contourpy
    SUBDIR += py-cryptominisat
    SUBDIR += py-cvxopt
    SUBDIR += py-cvxpy
    SUBDIR += py-cyipopt
    SUBDIR += py-cypari2
    SUBDIR += py-deap
    SUBDIR += py-dgl
    SUBDIR += py-diffcp
    SUBDIR += py-dionysus
    SUBDIR += py-disjoint-set
    SUBDIR += py-docplex
    SUBDIR += py-ducc0
    SUBDIR += py-ecos
    SUBDIR += py-evalidate
    SUBDIR += py-faiss
    SUBDIR += py-fastcluster
    SUBDIR += py-fastdtw
    SUBDIR += py-fenics-basix
    SUBDIR += py-fenics-ffcx
    SUBDIR += py-fenics-ufl
    SUBDIR += py-flax
    SUBDIR += py-formulaic
    SUBDIR += py-fpylll
    SUBDIR += py-fraction
    SUBDIR += py-fsph
    SUBDIR += py-fvcore
    SUBDIR += py-gau2grid
    SUBDIR += py-gimmik
    SUBDIR += py-gmpy2
    SUBDIR += py-grandalf
    SUBDIR += py-graphillion
    SUBDIR += py-gym
    SUBDIR += py-gym-notices
    SUBDIR += py-hdbscan
    SUBDIR += py-hdmedians
    SUBDIR += py-hepstats
    SUBDIR += py-heyoka
    SUBDIR += py-hmmlearn
    SUBDIR += py-igraph
    SUBDIR += py-iminuit
    SUBDIR += py-intspan
    SUBDIR += py-iohexperimenter
    SUBDIR += py-ipyopt
    SUBDIR += py-islpy
    SUBDIR += py-isosurfaces
    SUBDIR += py-jacobi
    SUBDIR += py-jax
    SUBDIR += py-kahip
    SUBDIR += py-keras
    SUBDIR += py-keras-applications
    SUBDIR += py-keras-preprocessing
    SUBDIR += py-kiwisolver
    SUBDIR += py-levmar
    SUBDIR += py-libpoly
    SUBDIR += py-linearmodels
    SUBDIR += py-lmfit
    SUBDIR += py-logical-unification
    SUBDIR += py-lrcalc
    SUBDIR += py-luminol
    SUBDIR += py-mapbox-earcut
    SUBDIR += py-mathics
    SUBDIR += py-mathics-scanner
    SUBDIR += py-matplotlib
    SUBDIR += py-matplotlib-inline
    SUBDIR += py-matplotlib-scalebar
    SUBDIR += py-minorminer
    SUBDIR += py-mip
    SUBDIR += py-mixsimulator
    SUBDIR += py-ml-dtypes
    SUBDIR += py-mnnpy
    SUBDIR += py-moarchiving
    SUBDIR += py-mpmath
    SUBDIR += py-munkres
    SUBDIR += py-ndindex
    SUBDIR += py-networkx
    SUBDIR += py-nevergrad
    SUBDIR += py-nlopt
    SUBDIR += py-numba-stats
    SUBDIR += py-numdifftools
    SUBDIR += py-numexpr
    SUBDIR += py-numpoly
    SUBDIR += py-numpy
    SUBDIR += py-numpy-groupies
    SUBDIR += py-numpy-stl
    SUBDIR += py-openTSNE
    SUBDIR += py-opt-einsum
    SUBDIR += py-or-tools
    SUBDIR += py-osqp
    SUBDIR += py-pandas
    SUBDIR += py-pandas-datareader
    SUBDIR += py-patsy
    SUBDIR += py-pdal
    SUBDIR += py-permutation
    SUBDIR += py-petsc4py
    SUBDIR += py-plastex
    SUBDIR += py-point-annotator
    SUBDIR += py-pplpy
    SUBDIR += py-primecountpy
    SUBDIR += py-primme
    SUBDIR += py-py-find-1st
    SUBDIR += py-pyFFTW
    SUBDIR += py-pyaudi
    SUBDIR += py-pybloom
    SUBDIR += py-pyclipper
    SUBDIR += py-pycosat
    SUBDIR += py-pygsl
    SUBDIR += py-pygslodeiv2
    SUBDIR += py-pyhdfe
    SUBDIR += py-pyhull
    SUBDIR += py-pymc3
    SUBDIR += py-pynauty
    SUBDIR += py-pyneqsys
    SUBDIR += py-pynleq2
    SUBDIR += py-pynndescent
    SUBDIR += py-pyodeint
    SUBDIR += py-pyodesys
    SUBDIR += py-pyprobables
    SUBDIR += py-pyreadr
    SUBDIR += py-pyrr
    SUBDIR += py-pysmt
    SUBDIR += py-pystan
    SUBDIR += py-pysym
    SUBDIR += py-pytanque
    SUBDIR += py-pytensor
    SUBDIR += py-python-fcl
    SUBDIR += py-python-louvain
    SUBDIR += py-python-picard
    SUBDIR += py-pytorchvideo
    SUBDIR += py-pyvtk
    SUBDIR += py-qats
    SUBDIR += py-qdldl
    SUBDIR += py-quadprog
    SUBDIR += py-random2
    SUBDIR += py-reals
    SUBDIR += py-rectangle-packer
    SUBDIR += py-resample
    SUBDIR += py-roman
    SUBDIR += py-rpy2
    SUBDIR += py-rustworkx
    SUBDIR += py-rvlib
    SUBDIR += py-scikit-fem
    SUBDIR += py-scikit-umfpack
    SUBDIR += py-scs
    SUBDIR += py-seaborn
    SUBDIR += py-secp256k1
    SUBDIR += py-seriate
    SUBDIR += py-simhash
    SUBDIR += py-slepc4py
    SUBDIR += py-snuggs
    SUBDIR += py-spectral
    SUBDIR += py-spglm
    SUBDIR += py-spint
    SUBDIR += py-splot
    SUBDIR += py-spopt
    SUBDIR += py-spot
    SUBDIR += py-spreg
    SUBDIR += py-spvcm
    SUBDIR += py-squarify
    SUBDIR += py-ssm
    SUBDIR += py-statsmodels
    SUBDIR += py-svgmath
    SUBDIR += py-sym
    SUBDIR += py-symengine
    SUBDIR += py-sympy
    SUBDIR += py-theano
    SUBDIR += py-timple
    SUBDIR += py-topologic
    SUBDIR += py-triangle
    SUBDIR += py-umap-learn
    SUBDIR += py-uncertainties
    SUBDIR += py-unyt
    SUBDIR += py-vincenty
    SUBDIR += py-yt
    SUBDIR += py-z3-solver
    SUBDIR += qalculate-gtk
    SUBDIR += qalculate-qt
    SUBDIR += qd
    SUBDIR += qhull
    SUBDIR += qhull7
    SUBDIR += qposases
    SUBDIR += qrupdate
    SUBDIR += qtiplot-doc
    SUBDIR += qwtplot3d
    SUBDIR += qxfun
    SUBDIR += randlib
    SUBDIR += rankwidth
    SUBDIR += rapid
    SUBDIR += readstat
    SUBDIR += reduce
    SUBDIR += reduce-psl
    SUBDIR += reed-solomon
    SUBDIR += rehearse
    SUBDIR += rexx-regmath
    SUBDIR += rkward
    SUBDIR += rngstreams
    SUBDIR += rocs
    SUBDIR += rpcalc
    SUBDIR += rubiks
    SUBDIR += rubygem-algebra
    SUBDIR += rubygem-bigdecimal
    SUBDIR += rubygem-enumerable-statistics
    SUBDIR += rubygem-expression_parser
    SUBDIR += rubygem-fftw3
    SUBDIR += rubygem-mathn
    SUBDIR += rubygem-matrix
    SUBDIR += rubygem-mtrc
    SUBDIR += rubygem-narray
    SUBDIR += rubygem-narray_miss
    SUBDIR += rubygem-numru-misc
    SUBDIR += rubygem-numru-units
    SUBDIR += rubygem-prime
    SUBDIR += rubygem-rb-gsl
    SUBDIR += rumur
    SUBDIR += saga
    SUBDIR += sage
    SUBDIR += savage
    SUBDIR += sc
    SUBDIR += sc-im
    SUBDIR += scalapack
    SUBDIR += scalapackfx
    SUBDIR += scilab
    SUBDIR += scilab-toolbox-swt
    SUBDIR += scipoptsuite
    SUBDIR += scorec-core
    SUBDIR += scs
    SUBDIR += sdpa
    SUBDIR += secp256k1
    SUBDIR += sfft
    SUBDIR += simd-viterbi
    SUBDIR += singular
    SUBDIR += sisl
    SUBDIR += slatec
    SUBDIR += sleef
    SUBDIR += slepc
    SUBDIR += slgrace
    SUBDIR += slicot
    SUBDIR += snns
    SUBDIR += solitaire
    SUBDIR += sound-of-sorting
    SUBDIR += spar
    SUBDIR += spblas
    SUBDIR += spectra
    SUBDIR += speedcrunch
    SUBDIR += spfft
    SUBDIR += spla
    SUBDIR += spooles
    SUBDIR += spooles-mpich
    SUBDIR += spot
    SUBDIR += sprng
    SUBDIR += ssht
    SUBDIR += stan
    SUBDIR += stanmath
    SUBDIR += stp
    SUBDIR += suitesparse
    SUBDIR += suitesparse-amd
    SUBDIR += suitesparse-btf
    SUBDIR += suitesparse-camd
    SUBDIR += suitesparse-ccolamd
    SUBDIR += suitesparse-cholmod
    SUBDIR += suitesparse-colamd
    SUBDIR += suitesparse-config
    SUBDIR += suitesparse-csparse
    SUBDIR += suitesparse-cxsparse
    SUBDIR += suitesparse-graphblas
    SUBDIR += suitesparse-klu
    SUBDIR += suitesparse-lagraph
    SUBDIR += suitesparse-ldl
    SUBDIR += suitesparse-mongoose
    SUBDIR += suitesparse-paru
    SUBDIR += suitesparse-rbio
    SUBDIR += suitesparse-spex
    SUBDIR += suitesparse-spqr
    SUBDIR += suitesparse-umfpack
    SUBDIR += sundials
    SUBDIR += superlu
    SUBDIR += superlu-dist
    SUBDIR += symengine
    SUBDIR += symfpu
    SUBDIR += symmetrica
    SUBDIR += symphony
    SUBDIR += sympol
    SUBDIR += sympow
    SUBDIR += tablix
    SUBDIR += taucs
    SUBDIR += tblis
    SUBDIR += testu01
    SUBDIR += tetgen
    SUBDIR += teyjus
    SUBDIR += the-algorithms-c++
    SUBDIR += timbl
    SUBDIR += tiny-bignum-c
    SUBDIR += tinyexpr
    SUBDIR += tinymt
    SUBDIR += tlapack
    SUBDIR += tmv
    SUBDIR += tomsfastmath
    SUBDIR += topaz
    SUBDIR += topcom
    SUBDIR += topologic
    SUBDIR += triangle
    SUBDIR += trlan
    SUBDIR += trlib
    SUBDIR += ttmath
    SUBDIR += tvmet
    SUBDIR += ump
    SUBDIR += units
    SUBDIR += universal
    SUBDIR += unuran
    SUBDIR += vampire
    SUBDIR += vdt
    SUBDIR += verdict
    SUBDIR += viennacl
    SUBDIR += vinci
    SUBDIR += visualpolylib
    SUBDIR += vowpal_wabbit
    SUBDIR += vtk8
    SUBDIR += vtk9
    SUBDIR += wavelib
    SUBDIR += wcalc
    SUBDIR += wxmaxima
    SUBDIR += xblas
    SUBDIR += xfce4-calculator-plugin
    SUBDIR += xgap
    SUBDIR += xgraph
    SUBDIR += xlapack
    SUBDIR += xldlas
    SUBDIR += xlife++
    SUBDIR += xplot
    SUBDIR += xspread
    SUBDIR += xtensor
    SUBDIR += xtensor-blas
    SUBDIR += xtensor-io
    SUBDIR += xtensor-python
    SUBDIR += yacas
    SUBDIR += yices
    SUBDIR += z3
    SUBDIR += zarray
    SUBDIR += zegrapher
    SUBDIR += zimpl
    SUBDIR += zn_poly

.include <bsd.port.subdir.mk>
